List Brand Kits
curl --request GET \
--url https://api.example.com/api/v1/brand-kits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brand-kits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brand-kits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/brand-kits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/brand-kits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/brand-kits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/brand-kits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_type": "<string>",
"name": "<string>",
"brand_voice": "<string>",
"tone_keywords": [
"<string>"
],
"target_audience": "<string>",
"language_preference": "<string>",
"avoid_phrases": [
"<string>"
],
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_values": [
"<string>"
],
"brand_aesthetic": [
"<string>"
],
"logo_url": "<string>",
"logo_icon_url": "<string>",
"logo_dark_url": "<string>",
"logo_square_url": "<string>",
"logo_wordmark": "<string>",
"logo_wordmark_font": "<string>",
"primary_color": "<string>",
"secondary_color": "<string>",
"accent_color": "<string>",
"color_palette": [
"<string>"
],
"font_headings": "<string>",
"font_body": "<string>",
"imagery_style": "<string>",
"brand_guidelines_url": "<string>",
"tagline": "<string>",
"mission_statement": "<string>",
"industry": "<string>",
"competitors": [
"<string>"
],
"seo_keywords": [
"<string>"
],
"content_pillars": [
"<string>"
],
"social_links": {},
"social_profiles": {},
"location": "<string>",
"website_url": "<string>",
"slides_template_r2_key": "<string>",
"slides_template_filename": "<string>"
}
]Brand Kits
List Brand Kits
List all brand kits for the current user.
GET
/
api
/
v1
/
brand-kits
List Brand Kits
curl --request GET \
--url https://api.example.com/api/v1/brand-kits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brand-kits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brand-kits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/brand-kits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/brand-kits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/brand-kits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/brand-kits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_type": "<string>",
"name": "<string>",
"brand_voice": "<string>",
"tone_keywords": [
"<string>"
],
"target_audience": "<string>",
"language_preference": "<string>",
"avoid_phrases": [
"<string>"
],
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_values": [
"<string>"
],
"brand_aesthetic": [
"<string>"
],
"logo_url": "<string>",
"logo_icon_url": "<string>",
"logo_dark_url": "<string>",
"logo_square_url": "<string>",
"logo_wordmark": "<string>",
"logo_wordmark_font": "<string>",
"primary_color": "<string>",
"secondary_color": "<string>",
"accent_color": "<string>",
"color_palette": [
"<string>"
],
"font_headings": "<string>",
"font_body": "<string>",
"imagery_style": "<string>",
"brand_guidelines_url": "<string>",
"tagline": "<string>",
"mission_statement": "<string>",
"industry": "<string>",
"competitors": [
"<string>"
],
"seo_keywords": [
"<string>"
],
"content_pillars": [
"<string>"
],
"social_links": {},
"social_profiles": {},
"location": "<string>",
"website_url": "<string>",
"slides_template_r2_key": "<string>",
"slides_template_filename": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
Maximum array length:
8Required string length:
1 - 80Maximum array length:
8Required string length:
1 - 80Was this page helpful?